#
# spec file for package nesc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nesc
Version:        1.3.5
Release:        2.5
Summary:        A Programming Language for Deeply Networked Systems
License:        GPL-2.0
Group:          Development/Languages/C and C++
Url:            http://nescc.sourceforge.net/
Source:         http://sourceforge.net/projects/nescc/files/nescc/v%{version}/nesc-%{version}.tar.gz
BuildRequires:  java-devel
BuildRequires:  perl

%description
nesC (pronounced "NES-see") is an extension to the C programming
language designed to embody the structuring concepts and execution
model of TinyOS. TinyOS is an event-driven operating system designed
for sensor network nodes that have very limited resources
(e.g., 8K bytes of program memory, 512 bytes of RAM).

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT README
%{_mandir}/man1/*
%{_bindir}/nescc-wiring
%{_bindir}/nescc-ncg
%{_bindir}/nescc-mig
%{_bindir}/nescc
%{_libdir}/ncc/
%{_datadir}/ncc/

%changelog
* Mon Oct  5 2015 mpluskal@suse.com
- Update to 1.3.5
- Use url for source
- Cleanup spec file with spec-cleaner
* Sat Jun 25 2011 prusnak@opensuse.org
- created package (v 1.3.2)
